Index: issm/trunk/externalpackages/boost/install-macosx-snowleopard.sh
===================================================================
--- issm/trunk/externalpackages/boost/install-macosx-snowleopard.sh	(revision 13395)
+++ issm/trunk/externalpackages/boost/install-macosx-snowleopard.sh	(revision 13395)
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+#Note of caution:  stop after boostrap phase, and run 
+#bjam --debug-configuration, to figure out which paths boost is using to include 
+#python. make sure everyone of these paths is covered by python. If not, just make 
+#symlinks in externalpackages/python to what boost is expecting. Ther is NO WAY 
+#to get the boost library to include python support without doing that. 
+
+#Some cleanup
+rm -rf install boost_1_49_0 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/boost_1_49_0.tar.gz' 'boost_1_49_0.tar.gz'
+
+#Untar 
+tar -zxvf  boost_1_49_0.tar.gz
+
+#Move boost into install directory
+mv boost_1_49_0/* src
+rm -rf boost_1_49_0
+#Configure and compile
+cd src 
+./bootstrap.sh \
+	--prefix="$ISSM_DIR/externalpackages/boost/install" \
+	--with-python=python2.7 \
+	--with-python-root="$ISSM_DIR/externalpackages/python/install" 
+
+#Compile boost
+#./b2 address-model=32 architecture=x86 cxxflags="-arch i386" variant=release threading=multi install
+./b2 toolset=darwin address-model=32 architecture=x86 variant=release threading=multi install
+
+#put bjam into install also: 
+mkdir ../install/bin
+cp bjam ../install/bin
Index: issm/trunk/externalpackages/boost/install.sh
===================================================================
--- issm/trunk/externalpackages/boost/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/boost/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Note of caution:  stop after boostrap phase, and run 
Index: issm/trunk/externalpackages/bsdtar/install-win7.sh
===================================================================
--- issm/trunk/externalpackages/bsdtar/install-win7.sh	(revision 12709)
+++ issm/trunk/externalpackages/bsdtar/install-win7.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/cccl/install-win7.orig.sh
===================================================================
--- issm/trunk/externalpackages/cccl/install-win7.orig.sh	(revision 12709)
+++ issm/trunk/externalpackages/cccl/install-win7.orig.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/cccl/install-win7.sh
===================================================================
--- issm/trunk/externalpackages/cccl/install-win7.sh	(revision 12709)
+++ issm/trunk/externalpackages/cccl/install-win7.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/chaco/install.sh
===================================================================
--- issm/trunk/externalpackages/chaco/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/chaco/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 # Some cleanup
@@ -23,5 +24,5 @@
 # Build chaco
 cd src/code
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/cmake/install.sh
===================================================================
--- issm/trunk/externalpackages/cmake/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/cmake/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu 
 
 #Some cleanup
@@ -18,5 +19,5 @@
 cd install 
 ./bootstrap --prefix=$ISSM_DIR/externalpackages/cmake/install
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else 
Index: issm/trunk/externalpackages/colpack/install.sh
===================================================================
--- issm/trunk/externalpackages/colpack/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/colpack/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Erase install
@@ -15,5 +16,5 @@
 #compile
 cd src
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/cppcheck/install.sh
===================================================================
--- issm/trunk/externalpackages/cppcheck/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/cppcheck/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Erase install
@@ -14,5 +15,5 @@
 #compile
 cd src
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make 
 else 
Index: issm/trunk/externalpackages/dace/install.sh
===================================================================
--- issm/trunk/externalpackages/dace/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/dace/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/dakota/install-altix64-cosmos.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-altix64-cosmos.sh	(revision 12709)
+++ issm/trunk/externalpackages/dakota/install-altix64-cosmos.sh	(revision 13395)
@@ -1,6 +1,4 @@
 #!/bin/bash
-
-#Get number of cpus
-NUMCPUS=$1;
+set -eu
 
 #Some cleanup
@@ -84,11 +82,11 @@
 #Compile and install dakota
 cd src 
-if [ -z $NUMCPUS ];
+if [ $# -eq 0 ];
 then
 	make
 	make install
 else
-	make -j $NUMCPUS
-	make -j $NUMCPUS install
+	make -j $1
+	make -j $1 install
 fi
 cd ..
Index: issm/trunk/externalpackages/dakota/install-discover.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-discover.sh	(revision 12709)
+++ issm/trunk/externalpackages/dakota/install-discover.sh	(revision 13395)
@@ -1,6 +1,4 @@
 #!/bin/bash
-
-#Get number of cpus
-NUMCPUS=$1;
+set -eu
 
 #Some cleanup
@@ -84,11 +82,11 @@
 #Compile and install dakota
 cd src
-if [ -z $NUMCPUS ];
+if [ $# -eq 0 ];
 then
 	make
 	make install
 else
-	make -j $NUMCPUS
-	make -j $NUMCPUS install
+	make -j $1
+	make -j $1 install
 fi
 cd ..
Index: issm/trunk/externalpackages/dakota/install-linux64-astrid.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-linux64-astrid.sh	(revision 12709)
+++ issm/trunk/externalpackages/dakota/install-linux64-astrid.sh	(revision 13395)
@@ -1,6 +1,4 @@
 #!/bin/bash
-
-#Get number of cpus
-NUMCPUS=$1;
+set -eu
 
 #Some cleanup
@@ -84,11 +82,11 @@
 #Compile and install dakota
 cd src 
-if [ -z $NUMCPUS ];
+if [ $# -eq 0 ];
 then
 	make
 	make install
 else
-	make -j $NUMCPUS
-	make -j $NUMCPUS install
+	make -j $1
+	make -j $1 install
 fi
 cd ..
Index: issm/trunk/externalpackages/dakota/install-linux64-murdo.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-linux64-murdo.sh	(revision 12709)
+++ issm/trunk/externalpackages/dakota/install-linux64-murdo.sh	(revision 13395)
@@ -1,6 +1,4 @@
 #!/bin/bash
-
-#Get number of cpus
-NUMCPUS=$1;
+set -eu
 
 #Some cleanup
@@ -84,11 +82,11 @@
 #Compile and install dakota
 cd src 
-if [ -z $NUMCPUS ];
+if [ $# -eq 0 ];
 then
 	make
 	make install
 else
-	make -j $NUMCPUS
-	make -j $NUMCPUS install
+	make -j $1
+	make -j $1 install
 fi
 cd ..
Index: issm/trunk/externalpackages/dakota/install-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-macosx64.sh	(revision 12709)
+++ issm/trunk/externalpackages/dakota/install-macosx64.sh	(revision 13395)
@@ -1,6 +1,4 @@
 #!/bin/bash
-
-#Get number of cpus
-NUMCPUS=$1;
+set -eu
 
 #Some cleanup
@@ -37,5 +35,5 @@
    --disable-mpi \
    --with-blas="-L$ISSM_DIR/externalpackages/petsc/install/lib -lfblas " \
-   --with-lapack="-L$ISSM_DIR/externalpackages/petsc/install/lib -lflapack -lPLAPACK "
+   --with-lapack="-L$ISSM_DIR/externalpackages/petsc/install/lib -lflapack "
 cd ..
 
@@ -84,11 +82,11 @@
 #Compile and install dakota
 cd src 
-if [ -z $NUMCPUS ];
+if [ $# -eq 0 ];
 then
 	make
 	make install
 else
-	make -j $NUMCPUS
-	make -j $NUMCPUS install
+	make -j $1
+	make -j $1 install
 fi
 cd ..
Index: issm/trunk/externalpackages/dakota/install-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-pleiades.sh	(revision 12709)
+++ issm/trunk/externalpackages/dakota/install-pleiades.sh	(revision 13395)
@@ -1,12 +1,10 @@
 #!/bin/bash
-
-#Get number of cpus
-NUMCPUS=$1;
+set -eu
 
 #Some cleanup
 rm -rf Dakota
-rm -rf src 
-rm -rf install 
-mkdir src install 
+rm -rf src
+rm -rf install
+mkdir src install
 
 #Download from ISSM server
@@ -31,11 +29,11 @@
 #Configure dakota
 cd src
-./configure \ 
-	--prefix="$ISSM_DIR/externalpackages/dakota/install" \
-	--without-graphics  \
-	--with-pic \
-	--disable-mpi \
-	--with-blas="-L/nasa/intel/mkl/10.0.011/lib/64/ -lmkl -lmkl_lapack -liomp5 -lpthread" \
-	--with-lapack="-L/nasa/intel/mkl/10.0.011/lib/64/ -lmkl -lmkl_lapack -liomp5 -lpthread" 
+./configure \
+--prefix="$ISSM_DIR/externalpackages/dakota/install/" \
+--without-graphics  \
+--with-pic \
+--disable-mpi \
+--with-blas="-L/nasa/intel/mkl/10.0.011/lib/64/ -lmkl -lmkl_lapack -liomp5 -lpthread" \
+--with-lapack="-L/nasa/intel/mkl/10.0.011/lib/64/ -lmkl -lmkl_lapack -liomp5 -lpthread"
 cd ..
 
@@ -53,17 +51,17 @@
 
 cat ./src/methods/hopspack/src-cddlib/Makefile | sed 's/CFLAGS = -g -O2/CFLAGS = -g -O2 -fPIC/g' > temp
-mv temp  ./src/methods/hopspack/src-cddlib/Makefile 
+mv temp  ./src/methods/hopspack/src-cddlib/Makefile
 
 cat ./src/methods/hopspack/src-shared/Makefile | sed 's/CFLAGS = -g -O2/CFLAGS = -g -O2 -fPIC/g' > temp
-mv temp  ./src/methods/hopspack/src-shared/Makefile 
+mv temp  ./src/methods/hopspack/src-shared/Makefile
 
 cat ./src/methods/hopspack/src-shared/Makefile | sed 's/CXXFLAGS = -g -O2/CXXFLAGS = -g -O2  -fPIC/g' > temp
-mv temp  ./src/methods/hopspack/src-shared/Makefile 
+mv temp  ./src/methods/hopspack/src-shared/Makefile
 
 cat ./src/methods/hopspack/src-conveyor/Makefile | sed 's/CXXFLAGS = -g -O2/CXXFLAGS = -g -O2 -fPIC/g' > temp
-mv temp  ./src/methods/hopspack/src-conveyor/Makefile 
+mv temp  ./src/methods/hopspack/src-conveyor/Makefile
 
 cat ./src/methods/hopspack/src-appspack/Makefile | sed 's/CXXFLAGS = -g -O2/CXXFLAGS = -g -O2  -fPIC/g' > temp
-mv temp ./src/methods/hopspack/src-appspack/Makefile 
+mv temp ./src/methods/hopspack/src-appspack/Makefile
 
 cat ./src/methods/acro/packages/colin/src/Makefile | sed 's/CXXFLAGS = -O2 -fpermissive/CXXFLAGS = -O2 -fpermissive -fPIC/g' > temp
@@ -74,21 +72,21 @@
 
 cat ./src/methods/acro/packages/tpl/3po/Makefile | sed 's/CFLAGS = -O2/CFLAGS = -O2 -fPIC/g' > temp
-mv temp  ./src/methods/acro/packages/tpl/3po/Makefile 
+mv temp  ./src/methods/acro/packages/tpl/3po/Makefile
 
 cat ./src/methods/acro/packages/tpl/3po/Makefile | sed 's/CXXFLAGS = -O2 -fpermissive/CFLAGS = -O2 -fpermissive -fPIC/g' > temp
-mv temp  ./src/methods/acro/packages/tpl/3po/Makefile 
+mv temp  ./src/methods/acro/packages/tpl/3po/Makefile
 
 cat ./src/packages/ampl/Makefile | sed 's/CFLAGS = -g -O2/CFLAGS = -g -O2 -fPIC/g' > temp
-mv temp  ./src/packages/ampl/Makefile 
+mv temp  ./src/packages/ampl/Makefile
 
 #Compile and install dakota
-cd src 
-if [ -z $NUMCPUS ];
+cd src
+if [ $# -eq 0 ];
 then
 	make
 	make install
 else
-	make -j $NUMCPUS
-	make -j $NUMCPUS install
+	make -j $1
+	make -j $1 install
 fi
 cd ..
Index: issm/trunk/externalpackages/distribute/install.sh
===================================================================
--- issm/trunk/externalpackages/distribute/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/distribute/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Download from ISSM server
Index: issm/trunk/externalpackages/doxygen/install.sh
===================================================================
--- issm/trunk/externalpackages/doxygen/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/doxygen/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -9,5 +10,5 @@
 #Configure doxygen
 cd install && ./configure --prefix "$ISSM_DIR/externalpackages/doxygen/install"
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/esmf/install.sh
===================================================================
--- issm/trunk/externalpackages/esmf/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/esmf/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #0: cleanup
@@ -32,5 +33,5 @@
 
 	#Compile and install esmf
-	if [ -z $1 ]; then
+	if [ $# -eq 0 ]; then
 		make
 		make install
@@ -43,5 +44,5 @@
 if [[ $install == "2" ]]; then
 	cd esmf
-	if [ -z $1 ]; then
+	if [ $# -eq 0 ]; then
 		make all_tests
 	else
Index: issm/trunk/externalpackages/findbugs/install.sh
===================================================================
--- issm/trunk/externalpackages/findbugs/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/findbugs/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Erase install
Index: issm/trunk/externalpackages/flaim/install.sh
===================================================================
--- issm/trunk/externalpackages/flaim/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/flaim/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Erase symlink
Index: issm/trunk/externalpackages/freetype/install.sh
===================================================================
--- issm/trunk/externalpackages/freetype/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/freetype/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -22,5 +23,5 @@
 
 #Compile and install freetype
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	sudo make
 else
Index: issm/trunk/externalpackages/gdal/install-murdo.sh
===================================================================
--- issm/trunk/externalpackages/gdal/install-murdo.sh	(revision 13395)
+++ issm/trunk/externalpackages/gdal/install-murdo.sh	(revision 13395)
@@ -0,0 +1,39 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf src
+rm -rf install
+rm -rf gdal-1.6.0
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/gdal-1.6.0.tar.gz' 'gdal-1.6.0.tar.gz'
+
+#Untar 
+tar -zxvf  gdal-1.6.0.tar.gz
+
+#Move gdal into src directory
+mv gdal-1.6.0/* src
+rm -rf gdal-1.6.0
+
+#Configure gdal
+cd src
+./configure --prefix="$ISSM_DIR/externalpackages/gdal/install" \
+	--without-python \
+	--without-png \
+	--with-netcdf=no \
+	--with-jasper=no \
+	--without-ld-shared \
+	--with-unix-stdio-64=no 
+
+#Patch GDALmake.opt
+patch GDALmake.opt ../GDALmake.opt.patch
+
+#Compile and install gdal
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
Index: issm/trunk/externalpackages/gdal/install.sh
===================================================================
--- issm/trunk/externalpackages/gdal/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/gdal/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -22,4 +23,5 @@
 	--prefix="$ISSM_DIR/externalpackages/gdal/install" \
 	--without-python \
+	--without-png \
 	--with-netcdf=no \
 	--with-jasper=no \
@@ -32,5 +34,5 @@
 
 #Compile and install gdal
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/gdaltokmz/install.sh
===================================================================
--- issm/trunk/externalpackages/gdaltokmz/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/gdaltokmz/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Download from ISSM server
Index: issm/trunk/externalpackages/geos5/install.sh
===================================================================
--- issm/trunk/externalpackages/geos5/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/geos5/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/git/install-nopython.sh
===================================================================
--- issm/trunk/externalpackages/git/install-nopython.sh	(revision 13395)
+++ issm/trunk/externalpackages/git/install-nopython.sh	(revision 13395)
@@ -0,0 +1,23 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf src install git-1.7.10.2
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/git-1.7.10.2.tar.gz' 'git-1.7.10.2.tar.gz'
+
+#Untar 
+tar -zxvf  git-1.7.10.2.tar.gz
+
+#Move git into install directory
+mv git-1.7.10.2/* src
+rm -rf git-1.7.10.2
+
+#install
+cd src 
+./configure  --prefix="$ISSM_DIR/externalpackages/git/install"
+	
+#Compile
+make install
Index: issm/trunk/externalpackages/git/install.sh
===================================================================
--- issm/trunk/externalpackages/git/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/git/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -17,5 +18,5 @@
 #install
 cd src 
-./configure  --prefix="$ISSM_DIR/externalpackages/git/install"
+./configure  --prefix="$ISSM_DIR/externalpackages/git/install" --with-python="$ISSM_DIR/externalpackages/python/install/bin/python"
 	
 #Compile
Index: issm/trunk/externalpackages/gmake/install.sh
===================================================================
--- issm/trunk/externalpackages/gmake/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/gmake/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -21,5 +22,5 @@
 ./configure --prefix=$ISSM_DIR/externalpackages/gmake/install
 
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 	make install
Index: issm/trunk/externalpackages/googleearthtoolbox/install.sh
===================================================================
--- issm/trunk/externalpackages/googleearthtoolbox/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/googleearthtoolbox/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/graphviz/install.sh
===================================================================
--- issm/trunk/externalpackages/graphviz/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/graphviz/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -22,5 +23,5 @@
 #Compile and install
 cd src
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/gsl/install-android.sh
===================================================================
--- issm/trunk/externalpackages/gsl/install-android.sh	(revision 12709)
+++ issm/trunk/externalpackages/gsl/install-android.sh	(revision 13395)
@@ -1,33 +1,45 @@
 #!/bin/bash
-source $ANDROID_DIR/android_variables.sh
+set -eu
 
-#Some cleanup
-rm -rf src install gsl-1.15
-mkdir src install
+source $ANDROID_DIR/android_aux.sh
 
-#Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/gsl-1.15.tar.gz' 'gsl-1.15.tar.gz'
+if [[ $step == "1" || $step == "0" ]]; then
 
-#Untar 
-tar -zxvf  gsl-1.15.tar.gz
+    #Some cleanup
+    rm -rf src install gsl-1.15
+    mkdir src install
 
-#Move gsl into src directory
-mv gsl-1.15/* src
-rm -rf gsl-1.15
+    #Download from ISSM server
+    $ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/gsl-1.' 'gsl-1.15.tar.gz'
+
+    #Untar 
+    tar -zxvf  gsl-1.15.tar.gz
+
+    #Move gsl into src directory
+    mv gsl-1.15/* src
+    rm -rf gsl-1.15
+fi
 
 #Configure gsl
-cd src
+if [[ $step == "2" || $step == "0" ]]; then
+    cd src
+    
+    autoreconf -iv --force -I $LIBTOOL_DIR/share/aclocal/ 
 
-./configure \
-    --build="i386-apple-darwin10.8.0" \
-    --host=$host_triplet\
-	--prefix="$ISSM_DIR/externalpackages/gsl/install" 
+    ./configure \
+        --build="i386-apple-darwin10.8.0" \
+        --host=$host_triplet \
+	    --prefix="$ISSM_DIR/externalpackages/gsl/install/" \
+        --disable-static
+fi
 
 #Compile gsl
-if [ -z $1 ]; then
-	make
-else
-	make -j $1
+if [[ $step == "3" || $step == "0" ]]; then
+    if [ $# -eq 0 ]; then
+	    make $j 
+    else
+	    make -j $j 
+    fi
+
+    make install
 fi
-
-make install
Index: issm/trunk/externalpackages/gsl/install-linux64.sh
===================================================================
--- issm/trunk/externalpackages/gsl/install-linux64.sh	(revision 12709)
+++ issm/trunk/externalpackages/gsl/install-linux64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -22,5 +23,5 @@
 
 #Compile gsl
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/gsl/install-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/gsl/install-macosx64.sh	(revision 12709)
+++ issm/trunk/externalpackages/gsl/install-macosx64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -24,5 +25,5 @@
 
 #Compile gsl
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/gsl/install-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/gsl/install-pleiades.sh	(revision 12709)
+++ issm/trunk/externalpackages/gsl/install-pleiades.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -22,5 +23,5 @@
 
 #Compile gsl
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/gslib/install.sh
===================================================================
--- issm/trunk/externalpackages/gslib/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/gslib/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/h5py/install.sh
===================================================================
--- issm/trunk/externalpackages/h5py/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/h5py/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #needed further along
Index: issm/trunk/externalpackages/hdf5/install.sh
===================================================================
--- issm/trunk/externalpackages/hdf5/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/hdf5/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -19,5 +20,5 @@
 cd src
 ./configure  --prefix="$ISSM_DIR/externalpackages/hdf5/install" 
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/ipython/install.sh
===================================================================
--- issm/trunk/externalpackages/ipython/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/ipython/install.sh	(revision 13395)
@@ -1,19 +1,19 @@
 #!/bin/bash
+set -eu 
 
 #Some cleanup
 rm -rf src
-rm -rf install
-rm -rf ipython-0.12
-mkdir src install
+rm -rf ipython-0.13
+mkdir src 
 
 #Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/ipython-0.12.tar.gz' 'ipython-0.12.tar.gz'
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/ipython-0.13.tar.gz' 'ipython-0.13.tar.gz'
 
 #Untar 
-tar -zxvf  ipython-0.12.tar.gz
+tar -zxvf  ipython-0.13.tar.gz
 
 #Move ipython into src directory
-mv ipython-0.12/* src
-rm -rf ipython-0.12
+mv ipython-0.13/* src
+rm -rf ipython-0.13
 
 #install  ipython
Index: issm/trunk/externalpackages/kml/install.sh
===================================================================
--- issm/trunk/externalpackages/kml/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/kml/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Download from ISSM server
Index: issm/trunk/externalpackages/lapack/configs/linux64/make.inc
===================================================================
--- issm/trunk/externalpackages/lapack/configs/linux64/make.inc	(revision 12709)
+++ issm/trunk/externalpackages/lapack/configs/linux64/make.inc	(revision 13395)
@@ -16,5 +16,5 @@
 OPTS     = -fPIC -O2
 DRVOPTS  = $(OPTS)
-NOOPT    = -O0
+NOOPT    = -fPIC -O0
 LOADER   = gfortran
 LOADOPTS =
Index: issm/trunk/externalpackages/lapack/configs/macosx64/make.inc
===================================================================
--- issm/trunk/externalpackages/lapack/configs/macosx64/make.inc	(revision 13395)
+++ issm/trunk/externalpackages/lapack/configs/macosx64/make.inc	(revision 13395)
@@ -0,0 +1,71 @@
+####################################################################
+#  LAPACK make include file.                                       #
+#  LAPACK, Version 3.4.0                                           #
+#  April 2012                                                   #
+####################################################################
+#
+SHELL = /bin/sh
+#  
+#  Modify the FORTRAN and OPTS definitions to refer to the
+#  compiler and desired compiler options for your machine.  NOOPT
+#  refers to the compiler options desired when NO OPTIMIZATION is
+#  selected.  Define LOADER and LOADOPTS to refer to the loader and 
+#  desired load options for your machine.
+#
+FORTRAN  = gfortran 
+OPTS     = -fPIC -O2
+DRVOPTS  = $(OPTS)
+NOOPT    = -fPIC -O0
+LOADER   = gfortran
+LOADOPTS =
+#
+# Timer for the SECOND and DSECND routines
+#
+# Default : SECOND and DSECND will use a call to the EXTERNAL FUNCTION ETIME
+#TIMER    = EXT_ETIME
+# For RS6K : SECOND and DSECND will use a call to the EXTERNAL FUNCTION ETIME_
+# TIMER    = EXT_ETIME_
+# For gfortran compiler: SECOND and DSECND will use a call to the INTERNAL FUNCTION ETIME
+TIMER    = INT_ETIME
+# If your Fortran compiler does not provide etime (like Nag Fortran Compiler, etc...)
+# SECOND and DSECND will use a call to the INTERNAL FUNCTION CPU_TIME
+# TIMER    = INT_CPU_TIME
+# If neither of this works...you can use the NONE value... In that case, SECOND and DSECND will always return 0
+# TIMER     = NONE
+#
+#  Configuration LAPACKE: Native C interface to LAPACK
+#  To generate LAPACKE library: type 'make lapackelib'
+#  Configuration file: turned off (default)
+#  Complex types: C99 (default)
+#  Name pattern: mixed case (default)
+#  (64-bit) Data model: LP64 (default)
+#
+# CC is the C compiler, normally invoked with options CFLAGS.
+#
+CC = gcc
+CFLAGS = -O3
+#
+#  The archiver and the flag(s) to use when building archive (library)
+#  If you system has no ranlib, set RANLIB = echo.
+#
+ARCH     = ar
+ARCHFLAGS= cr
+RANLIB   = ranlib
+#
+#  Location of the extended-precision BLAS (XBLAS) Fortran library
+#  used for building and testing extended-precision routines.  The
+#  relevant routines will be compiled and XBLAS will be linked only if
+#  USEXBLAS is defined.
+#
+# USEXBLAS    = Yes
+XBLASLIB     =
+# XBLASLIB    = -lxblas
+#
+#  The location of the libraries to which you will link.  (The 
+#  machine-specific, optimized BLAS library should be used whenever
+#  possible.)
+#
+BLASLIB      = ../../librefblas.a
+LAPACKLIB    = liblapack.a
+TMGLIB       = libtmglib.a
+LAPACKELIB   = liblapacke.a
Index: issm/trunk/externalpackages/lapack/install-linux64.sh
===================================================================
--- issm/trunk/externalpackages/lapack/install-linux64.sh	(revision 12709)
+++ issm/trunk/externalpackages/lapack/install-linux64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -20,5 +21,5 @@
 
 #Compile and install lapack
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make lib
 else
Index: issm/trunk/externalpackages/lapack/install-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/lapack/install-macosx64.sh	(revision 13395)
+++ issm/trunk/externalpackages/lapack/install-macosx64.sh	(revision 13395)
@@ -0,0 +1,33 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf src install lapack-3.4.1 lapack-3.4.1.tgz
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/lapack-3.4.1.tgz' 'lapack-3.4.1.tgz'
+
+#Untar 
+tar -zxvf  lapack-3.4.1.tgz
+
+#Move lapack into install directory
+mv lapack-3.4.1/* src
+rm -rf lapack-3.4.1
+
+#install
+cd src 
+cp ../configs/macosx64/make.inc ./
+
+#Compile and install lapack
+if [ $# -eq 0 ]; then
+	make lib
+else
+	make -j $1 lib
+fi
+
+#Compile 
+cd ../install
+mkdir lib
+cd lib
+cp ../../src/liblapack.a .
Index: issm/trunk/externalpackages/latex2rtf/install.sh
===================================================================
--- issm/trunk/externalpackages/latex2rtf/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/latex2rtf/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/libermate/install.sh
===================================================================
--- issm/trunk/externalpackages/libermate/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/libermate/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/libpng/install.sh
===================================================================
--- issm/trunk/externalpackages/libpng/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/libpng/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -22,5 +23,5 @@
 
 #Compile and install libpng
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	sudo make
 else
Index: issm/trunk/externalpackages/m2html/install.sh
===================================================================
--- issm/trunk/externalpackages/m2html/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/m2html/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/matlab/install.sh
===================================================================
--- issm/trunk/externalpackages/matlab/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/matlab/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Erase symlink
@@ -5,9 +6,9 @@
 
 #Select or create a new simlink
-ln -s /usr/local/pkgs/matlab-7.6/ install
+#ln -s /usr/local/pkgs/matlab-7.6/ install
 #ln -s /discover/vis/mathworks/matlab_r2011b/ install
 #ln -s /usr/local/matlab704/ install
 #ln -s /usr/local/matlab711/ install
-#ln -s /usr/local/matlab712/ install
+ln -s /usr/local/matlab712/ install
 
 # Macintosh (OSX) simlink 
@@ -16,3 +17,4 @@
 #ln -s /Applications/MATLAB_R2010a.app/ install
 #ln -s /Applications/MATLAB_R2012a.app/ install
+#ln -s /Applications/MATLAB_R2011a.app/ install
 #ln -s /Applications/MATLAB*.app/ install
Index: issm/trunk/externalpackages/matplotlib/install-linux64.sh
===================================================================
--- issm/trunk/externalpackages/matplotlib/install-linux64.sh	(revision 13395)
+++ issm/trunk/externalpackages/matplotlib/install-linux64.sh	(revision 13395)
@@ -0,0 +1,14 @@
+#/bin/bash
+set -eu
+export GIT_SSL_NO_VERIFY=true 
+export CC="gcc -fPIC "
+export CXX="g++ -fPIC -L$ISSM_DIR/externalpackages/tcl/install/lib"
+export F77="gfortran -fPIC"
+export FC="gfortran -fPIC"
+export FFLAGS=-ff2c
+
+git clone https://github.com/matplotlib/matplotlib
+mv matplotlib src
+cd src
+python setup.py build 
+python setup.py install 
